VPS侦探论坛

 找回密码
 注册
查看: 199|回复: 3

192M内存的VPS安装LNMP一键安装包不成功, 小内存VPS

[复制链接]
发表于 2022-5-19 17:16:23 | 显示全部楼层 |阅读模式



192M内存的VPS安装LNMP一键安装包不成功,

不知具体哪出问题

现上传安装日本,麻烦军哥分析一下,

选装的是php5.6 + MYSQL5.1

一直是php安装不上,


Checking ...
Nginx: OK
MySQL: OK
Error: PHP install failed.
Sorry, Failed to install LNMP!



完整日志压缩包有140K,不能上传,
上传后面部分

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-5-19 19:46:14 | 显示全部楼层


/bin/bash /root/lnmp1.8/src/php-5.6.40/libtool --silent --preserve-dup-deps --mode=compile cc -Iext/date/lib -D HAVE_TIMELIB_CONFIG_H=1 -Iext/date/ -I/root/lnmp1.8/src/php-5.6.40/ext/date/ -DPHP_ATOM_INC -I/root/lnmp1.8/src/php-5.6.40/include -I/root/lnmp1.8/src/php-5.6.40/main -I/root/lnmp1.8/src/php-5.6.40 -I/root/lnmp1.8/src/php-5.6.40/ext/date/lib -I/root/lnmp1.8/src/php-5.6.40/ext/ereg/regex -I/usr/include/libxml2 -I/usr/local/openssl/include -I/usr/local/curl/include -I/usr/include/libpng16 -I/usr/local/freetype/include/freetype2 -I/root/lnmp1.8/src/php-5.6.40/ext/mbstring/oniguruma -I/root/lnmp1.8/src/php-5.6.40/ext/mbstring/libmbfl -I/root/lnmp1.8/src/php-5.6.40/ext/mbstring/libmbfl/mbfl -I/usr/local/include -I/root/lnmp1.8/src/php-5.6.40/ext/sqlite3/libsqlite -I/root/lnmp1.8/src/php-5.6.40/ext/zip/lib -I/root/lnmp1.8/src/php-5.6.40/TSRM -I/root/lnmp1.8/src/php-5.6.40/Zend    -I/usr/local/include -g -O2 -fvisibility=hidden  -c /root/lnmp1.8/src/php-5.6.40/ext/date/lib/parse_date.c -o ext/date/lib/parse_date.lo
cc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-6/README.Bugs> for instructions.

内存不够用导致的安装失败
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-5-19 20:23:14 | 显示全部楼层

licess 发表于 2022-5-19 19:46
内存不够用导致的安装失败

谢谢军哥, 就不必再折腾了

还是内存不足, 256M安装没问题。

以前128M+v64M都可以安装上,
现在这192M都装不上了。
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-5-20 08:23:26 | 显示全部楼层



tyucom 发表于 2022-5-19 20:23
谢谢军哥, 就不必再折腾了

还是内存不足, 256M安装没问题。

128MB带swap的话一般是可以安装成功的,我这边之前测试PHP 5.6及以下一般都是可以的,但是系统要做好精简非必须的后台应用都停掉
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-7-5 14:38 , Processed in 0.017419 second(s), 17 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表